<label #label *ngIf="labelDisplayable" [attr.id]="id || name">
  <ng-content></ng-content>
</label>
<div class="ui dropdown {{class}}"
     [ngClass]="{'loading disabled': loading}"
     #dropdown
     (mouseover)="onMouseover()"
     (mouseleave)="onMouseleave()"
     (keydown)="onKeydown($event)">
  <input type="hidden" [attr.id]="id || name" [attr.name]="name || id" [attr.value]="model">
  <i class="dropdown icon"></i>
  <div class="default text">{{placeholder}}</div>
  <div class="menu">
    <div class="item"
         #option
         *ngFor="let item of data"
         (click)="onClick(item)"
         [attr.data-value]="item[link]">{{item[display]}}
    </div>
  </div>
</div>
